#include <sys/types.h>

struct PLAYER
{
  int pid;
  int kill;
  int cmd;
  int paused;
};

/* TUI player control
 */

#define PLAYER_NO_CMD  0
#define PLAYER_PAUSE   1
#define PLAYER_RELOAD  2
#define PLAYER_SKIP    3

pid_t player_play (struct CONFIG *cfg, struct DIR_INFO *dinfo, int item);
int player_status (struct PLAYER *p);
void player_kill (struct PLAYER *p);
void player_stop (struct PLAYER *p);
void player_cont (struct PLAYER *p);
